Gamma (Colt 1.2.0 - API Specification)
Keywords: cern.jet.stat.Gamma class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.jet.stat
Class Gamma

    java.lang.Object
      cern.jet.math.Constants
          cern.jet.stat.Gamma

public class Gamma
extends Constants

Gamma and Beta functions.

Implementation:

Some code taken and adapted from the Java 2D Graph Package 2.4, which in turn is a port from the Cephes 2.2 Math Library (C). Most Cephes code (missing from the 2D Graph Package) directly ported.

Version:
  0.9, 22-Jun-99

Method Summary
`static double` | `beta(double a, double b)` Returns the beta function of the arguments.
`static double` | `gamma(double x)` Returns the Gamma function of the argument.
`static double` | `incompleteBeta(double aa, double bb, double xx)` Returns the Incomplete Beta Function evaluated from zero to `xx`; formerly named `ibeta`.
`static double` | `incompleteGamma(double a, double x)` Returns the Incomplete Gamma function; formerly named `igamma`.
`static double` | `incompleteGammaComplement(double a, double x)` Returns the Complemented Incomplete Gamma function; formerly named `igamc`.
`static double` | `logGamma(double x)` Returns the natural logarithm of the gamma function; formerly named `lgamma`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### beta

    public static double beta(double a,
                              double b)
                       throws ArithmeticException

  Returns the beta function of the arguments.

                         -     -
                        | (a) | (b)
       beta( a, b )  =  -----------.
                           -
                          | (a+b)

  Throws:
    `ArithmeticException`

### gamma

    public static double gamma(double x)
                        throws ArithmeticException

  Returns the Gamma function of the argument.

  Throws:
    `ArithmeticException`

### incompleteBeta

    public static double incompleteBeta(double aa,
                                        double bb,
                                        double xx)
                                 throws ArithmeticException

  Returns the Incomplete Beta Function evaluated from zero to `xx`; formerly named `ibeta`.

  Parameters:
    `aa` - the alpha parameter of the beta distribution.
    `bb` - the beta parameter of the beta distribution.
    `xx` - the integration end point.
  Throws:
    `ArithmeticException`

### incompleteGamma

    public static double incompleteGamma(double a,
                                         double x)
                                  throws ArithmeticException

  Returns the Incomplete Gamma function; formerly named `igamma`.

  Parameters:
    `a` - the parameter of the gamma distribution.
    `x` - the integration end point.
  Throws:
    `ArithmeticException`

### incompleteGammaComplement

    public static double incompleteGammaComplement(double a,
                                                   double x)
                                            throws ArithmeticException

  Returns the Complemented Incomplete Gamma function; formerly named `igamc`.

  Parameters:
    `a` - the parameter of the gamma distribution.
    `x` - the integration start point.
  Throws:
    `ArithmeticException`

### logGamma

    public static double logGamma(double x)
                           throws ArithmeticException

  Returns the natural logarithm of the gamma function; formerly named `lgamma`.

  Throws:
    `ArithmeticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage